# Product

Artikel kopieren

## PUT /erp/products/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Product","description":"Artikel kopieren"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/products/{id}":{"put":{"tags":["Product"],"summary":"Update existing Resource ","operationId":"update_18","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-Product"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-Product"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-product-Product":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bundle":{"type":"boolean","default":false,"description":"Handelt es sich um ein Gebinde?"},"bundleSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"type":{"type":"string","description":"Artikelarten","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]},"articleRefs":{"type":"array","description":"alle artikel, die zu diesem Produkt gehören","items":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"readOnly":true},"availabilityDetermination":{"$ref":"#/components/schemas/erp-product-ArticleAvailabilityDetermination"},"serialType":{"type":"string","description":"Serientyp eines Artikels","enum":["NONE","SERIAL_NUMBER","LOT","DOUBLE_SERIAL_NUMBER"]},"expiryDateType":{"type":"string","description":"Art des Haltbarkeitsdatums bei Serienartikeln","enum":["NONE","BEST_BEFORE_DATE","EXPIRATION_DATE"]},"warrantyInMonths":{"type":"integer","format":"int32","description":"Garantie in Monaten"},"serialNumberLabelingType":{"type":"string","description":"Seriennummer Auszeichnungsart","enum":["MANUAL","AUTOMATIC_ON_SUPPLIER_ORDER","AUTOMATIC_ON_SUPPLIER_DELIVERY"]},"fabricationSerialNumberLabelingType":{"type":"string","description":"Produktions-S/N-Auszeichnungsart","enum":["QUERY_ON_START","QUERY_ON_FINISH","INHERITANCE","AUTOMATICALLY_ON_START","AUTOMATICALLY_ON_FINISH"]},"customsTariffNumber":{"type":"string","description":"Zolltarifnummer","maxLength":15,"minLength":0},"countryOfOrigin":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"regionOfOrigin":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useSerialSequencerConfiguration":{"type":"boolean","description":"Soll ein eigener Zählerkreis für Seriennummern verwendet werden?"},"serialSequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"variantValues":{"type":"array","description":"Variantenwerte","items":{"$ref":"#/components/schemas/common-variant-VariantValueReference"}},"variantSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"mainVariantProductRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-product-ProductArticleRef":{"description":"alle artikel, die zu diesem Produkt gehören","properties":{"id":{"type":"integer","format":"int64","description":"Article ID"},"number":{"type":"string","description":"Article number"},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-ArticleAvailabilityDetermination":{"description":"Verfügbarkeitsermittlung für die Artikelstammdaten/Bestandsansicht","properties":{"inStock":{"type":"string","description":"wie wird der Bestand behandelt","enum":["IGNORE","ADD","SUBTRACT"]},"reserved":{"type":"string","description":"wie werden Reserviert-Mengen behandelt","enum":["IGNORE","ADD","SUBTRACT"]},"ordered":{"type":"string","description":"wie werden Bestellt-Mengen behandelt","enum":["IGNORE","ADD","SUBTRACT"]},"inPicking":{"type":"string","description":"wie werden Mengen in Kommissionierung behandelt","enum":["IGNORE","ADD","SUBTRACT"]},"reporting":{"type":"string","description":"wie werden Meldebestände behandelt","enum":["IGNORE","ADD","SUBTRACT"]}}},"common-masterdata-CountryReference":{"description":"Country code","properties":{"id":{"type":"integer","format":"int64","description":"ID des Landes"},"isoAlpha2":{"type":"string","description":"IsoAlpha2-Code des Landes"},"label":{"type":"string","description":"Bezeichnung des Landes","readOnly":true}}},"common-sequencer-SequencerConfiguration":{"description":"Eigener Zählerkreis für Seriennummern","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Sequencer aktiv?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Typ der Sequenz","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Vergabeverfahren","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Länge"},"padChar":{"type":"string","description":"Auffüllzeichen","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Präfix-Ausdruck"},"postExpression":{"type":"string","description":"Postfix-Ausdruck"},"initialValue":{"type":"integer","format":"int64","description":"Initialer Wert"},"numberUnique":{"type":"boolean","default":true,"description":"Eindeutigkeitsprüfung"}},"required":["assignmentMode","initialValue","length","padChar","type"]},"common-variant-VariantValueReference":{"description":"Variantenwerte","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"Bezeichnung","readOnly":true},"description":{"type":"string","description":"Beschreibung","readOnly":true},"variantAttributeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /erp/products/{id}/copy

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Product","description":"Artikel kopieren"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/products/{id}/copy":{"post":{"tags":["Product"],"operationId":"copy","parameters":[{"name":"id","in":"path","description":"a product id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductCopyCommand"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-Product"}}}}}}}},"components":{"schemas":{"erp-product-ProductCopyCommand":{"properties":{"modules":{"type":"array","description":"Relations to be copied","items":{"type":"string","description":"Relations to be copied","enum":["CUSTOM","CUSTOMERS","MEDIA","SUPPLIERS","TEXTS","PRICES"]},"uniqueItems":true},"copyEntries":{"type":"array","description":"Mapping of Articles to be copied","items":{"$ref":"#/components/schemas/erp-product-ArticleCopyEntry"},"uniqueItems":true}},"required":["copyEntries"]},"erp-product-ArticleCopyEntry":{"description":"Mapping of Articles to be copied","properties":{"originalArticleId":{"type":"string","description":"ID of original article"},"newNumber":{"type":"string","description":"new number for the copy"}},"required":["newNumber"]},"erp-product-Product":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bundle":{"type":"boolean","default":false,"description":"Handelt es sich um ein Gebinde?"},"bundleSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"type":{"type":"string","description":"Artikelarten","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]},"articleRefs":{"type":"array","description":"alle artikel, die zu diesem Produkt gehören","items":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"readOnly":true},"availabilityDetermination":{"$ref":"#/components/schemas/erp-product-ArticleAvailabilityDetermination"},"serialType":{"type":"string","description":"Serientyp eines Artikels","enum":["NONE","SERIAL_NUMBER","LOT","DOUBLE_SERIAL_NUMBER"]},"expiryDateType":{"type":"string","description":"Art des Haltbarkeitsdatums bei Serienartikeln","enum":["NONE","BEST_BEFORE_DATE","EXPIRATION_DATE"]},"warrantyInMonths":{"type":"integer","format":"int32","description":"Garantie in Monaten"},"serialNumberLabelingType":{"type":"string","description":"Seriennummer Auszeichnungsart","enum":["MANUAL","AUTOMATIC_ON_SUPPLIER_ORDER","AUTOMATIC_ON_SUPPLIER_DELIVERY"]},"fabricationSerialNumberLabelingType":{"type":"string","description":"Produktions-S/N-Auszeichnungsart","enum":["QUERY_ON_START","QUERY_ON_FINISH","INHERITANCE","AUTOMATICALLY_ON_START","AUTOMATICALLY_ON_FINISH"]},"customsTariffNumber":{"type":"string","description":"Zolltarifnummer","maxLength":15,"minLength":0},"countryOfOrigin":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"regionOfOrigin":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useSerialSequencerConfiguration":{"type":"boolean","description":"Soll ein eigener Zählerkreis für Seriennummern verwendet werden?"},"serialSequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"variantValues":{"type":"array","description":"Variantenwerte","items":{"$ref":"#/components/schemas/common-variant-VariantValueReference"}},"variantSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"mainVariantProductRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-product-ProductArticleRef":{"description":"alle artikel, die zu diesem Produkt gehören","properties":{"id":{"type":"integer","format":"int64","description":"Article ID"},"number":{"type":"string","description":"Article number"},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-ArticleAvailabilityDetermination":{"description":"Verfügbarkeitsermittlung für die Artikelstammdaten/Bestandsansicht","properties":{"inStock":{"type":"string","description":"wie wird der Bestand behandelt","enum":["IGNORE","ADD","SUBTRACT"]},"reserved":{"type":"string","description":"wie werden Reserviert-Mengen behandelt","enum":["IGNORE","ADD","SUBTRACT"]},"ordered":{"type":"string","description":"wie werden Bestellt-Mengen behandelt","enum":["IGNORE","ADD","SUBTRACT"]},"inPicking":{"type":"string","description":"wie werden Mengen in Kommissionierung behandelt","enum":["IGNORE","ADD","SUBTRACT"]},"reporting":{"type":"string","description":"wie werden Meldebestände behandelt","enum":["IGNORE","ADD","SUBTRACT"]}}},"common-masterdata-CountryReference":{"description":"Country code","properties":{"id":{"type":"integer","format":"int64","description":"ID des Landes"},"isoAlpha2":{"type":"string","description":"IsoAlpha2-Code des Landes"},"label":{"type":"string","description":"Bezeichnung des Landes","readOnly":true}}},"common-sequencer-SequencerConfiguration":{"description":"Eigener Zählerkreis für Seriennummern","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Sequencer aktiv?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Typ der Sequenz","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Vergabeverfahren","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Länge"},"padChar":{"type":"string","description":"Auffüllzeichen","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Präfix-Ausdruck"},"postExpression":{"type":"string","description":"Postfix-Ausdruck"},"initialValue":{"type":"integer","format":"int64","description":"Initialer Wert"},"numberUnique":{"type":"boolean","default":true,"description":"Eindeutigkeitsprüfung"}},"required":["assignmentMode","initialValue","length","padChar","type"]},"common-variant-VariantValueReference":{"description":"Variantenwerte","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"Bezeichnung","readOnly":true},"description":{"type":"string","description":"Beschreibung","readOnly":true},"variantAttributeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["id"]}}}}
```

## GET /erp/products/{id}/suppliers

> Für Gebinde: Alle Lieferanten zu Artikeln des Gebindes

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Product","description":"Artikel kopieren"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/products/{id}/suppliers":{"get":{"tags":["Product"],"summary":"Für Gebinde: Alle Lieferanten zu Artikeln des Gebindes","operationId":"getSuppliersByProduct","parameters":[{"name":"id","in":"path","description":"a product id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ArticleSupplier"}}}}}}}}},"components":{"schemas":{"erp-product-ArticleSupplier":{"description":"Article-Supplier-Relation","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Referenced Article"},"articleName":{"type":"string","description":"Referenced Article name"},"accountId":{"type":"string","description":"Referenced Supplier-Account"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"accountDisplayName":{"type":"string","description":"Anzeigename des Accounts","readOnly":true},"active":{"type":"boolean","default":true,"description":"Aktiv?"},"supplierArticleNumber":{"type":"string","description":"Abweichende Produktnummer"},"supplierArticleName":{"type":"string","description":"Abweichende Produktbezeichnung"},"supplierArticleDescription":{"type":"string","description":"Abweichende Produktbeschreibung"},"supplierArticleIdentifier":{"type":"string","description":"Abweichender Produktidentifer (z.B. Barcode)"},"useSupplierArticleNumber":{"type":"boolean","default":false,"description":"Soll die abweichende Produktnummer verwendet werden (z.B. in Belegen)"},"useSupplierArticleName":{"type":"boolean","default":false,"description":"Soll die abweichende Produktbezeichnung verwendet werden (z.B. in Belegen)"},"useSupplierArticleDescription":{"type":"boolean","default":false,"description":"Soll die abweichende Produktbeschreibung verwendet werden (z.B. in Belegen)"},"useSupplierArticleIdentifier":{"type":"boolean","default":false,"description":"Soll der abweichende Produktidentifier verwendet werden (z.B. in einer Scanner-Erfassung)"},"purchaseUnit":{"type":"number","description":"Einkaufseinheit"},"packagingUnit":{"type":"number","description":"Verpackungseinheit"},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deliveryTime":{"type":"integer","format":"int32","description":"Lieferzeit in (Werk-)Tagen"},"minimumOrderQuantity":{"type":"number","description":"Mindestbestellmenge"},"supplierReportingStock":{"type":"number","description":"Lieferanten-Meldebestand"},"mainSupplier":{"type":"boolean","default":false,"description":"Hauptlieferant"},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultNetPrice":{"type":"number","description":"Standardpreis Netto"},"defaultGrossPrice":{"type":"number","description":"Standardpreis Brutto"},"productPrices":{"type":"array","description":"Lieferanten-Preise","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"orderOnComponentBase":{"type":"boolean","default":true,"description":"Sollen Baugruppen auf Komponenten-Basis bestellt werden?)"},"dropShippingAllowed":{"type":"boolean","description":"Kennzeichen, ob Streckengeschäft erlaubt"},"supplierPrintLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"}},"required":["accountId","active","articleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}},"erp-product-ArticlePrintLabelSettings":{"description":"Etikettdruck-Einstellungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Wareneingang: Bestimmung der Druckmenge","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Wareneingang: Druckmenge"},"outgoingCalculationMode":{"type":"string","description":"Warenausgang: Bestimmung der Druckmenge","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Warenausgang: Druckmenge"}}}}}}
```

## GET /erp/products/{id}/customers

> Für Gebinde: Alle Kunden zu Artikeln des Gebindes

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Product","description":"Artikel kopieren"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/products/{id}/customers":{"get":{"tags":["Product"],"summary":"Für Gebinde: Alle Kunden zu Artikeln des Gebindes","operationId":"getCustomersByProduct","parameters":[{"name":"id","in":"path","description":"a product id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ArticleCustomer"}}}}}}}}},"components":{"schemas":{"erp-product-ArticleCustomer":{"description":"Article-Customer-Relation","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"integer","format":"int64","description":"Referenced Article"},"articleName":{"type":"string","description":"Referenced Article name"},"accountId":{"type":"integer","format":"int64","description":"Referenced Customer-Account"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"accountDisplayName":{"type":"string","description":"Anzeigename des Accounts","readOnly":true},"active":{"type":"boolean","description":"Aktiv?"},"deviatingArticleNumber":{"type":"string","description":"Abweichende Produktnummer"},"deviatingArticleName":{"type":"string","description":"Abweichende Produktbezeichnung"},"deviatingArticleDescription":{"type":"string","description":"Abweichende Produktbeschreibung"},"deviatingArticleIdentifier":{"type":"string","description":"Abweichender Produktidentifer (z.B. Barcode)"},"useDeviatingArticleNumber":{"type":"boolean","description":"Soll die abweichende Produktnummer verwendet werden (z.B. in Belegen)"},"useDeviatingArticleName":{"type":"boolean","description":"Soll die abweichende Produktbezeichnung verwendet werden (z.B. in Belegen)"},"useDeviatingArticleDescription":{"type":"boolean","description":"Soll die abweichende Produktbeschreibung verwendet werden (z.B. in Belegen)"},"useDeviatingArticleIdentifier":{"type":"boolean","description":"Soll der abweichende Produktidentifier verwendet werden (z.B. in einer Scanner-Erfassung)"},"lockedForCustomer":{"type":"boolean","description":"Ist das Produkt für den Kunden gesperrt?"},"defaultNetPrice":{"type":"number","description":"Standardpreis Netto"},"defaultGrossPrice":{"type":"number","description":"Standardpreis Brutto"},"productPrices":{"type":"array","description":"Kunden-Preise","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"customerPrintLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"},"useOnlyRelatedPriceOrDiscount":{"type":"boolean","default":false,"description":"Nur Sonderpreis/-rabatt verwenden?"}},"required":["accountId","articleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}},"erp-product-ArticlePrintLabelSettings":{"description":"Etikettdruck-Einstellungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Wareneingang: Bestimmung der Druckmenge","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Wareneingang: Druckmenge"},"outgoingCalculationMode":{"type":"string","description":"Warenausgang: Bestimmung der Druckmenge","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Warenausgang: Druckmenge"}}}}}}
```

## GET /erp/products/{id}/convertPriceForGivenUnitTypeForAnotherUnitType

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Product","description":"Artikel kopieren"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/products/{id}/convertPriceForGivenUnitTypeForAnotherUnitType":{"get":{"tags":["Product"],"operationId":"convertGivenPriceForGivenBundleForAnotherBundle","parameters":[{"name":"id","in":"path","description":"ID des Produkts","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"priceUnitTypeId","in":"query","required":true,"style":"form","schema":{"description":"Id der Mengeneinheit für den der Preis gilt"}},{"name":"convertToUnitTypeId","in":"query","required":true,"style":"form","schema":{"description":"Id der Mengeneinheit für den der Preis umgerechnet werden soll"}},{"name":"price","in":"query","required":true,"style":"form","schema":{"description":"Preis"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"number"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
